body {
	position: relative;
}

.parentz.selex {
	background-color: orange;
	color: black;
}

.btn-group-filter {
	display: grid;
	grid-template-columns: repeat(6, minmax(0, 1fr));
	grid-column-gap: 5px;
}
.dt-column-order{
display:none;
}
.cancel{
	border:2px solid white;
	padding:5px;
	border-radius:10px;
	float:left;
	z-index:10;
}

.ftablinks {
	border: 1px solid var(--btn-border);
	padding: 5px;
	background-color: #aaa;
	color: black;
	cursor: pointer;
	text-align: center;
}
.specific{
	float:left;
	min-width:170px;
	margin-left:20px;
	display:none;
}

.active {
	background-color: darkGreen;
	color: white;
}
.lefti{
	cursor:pointer;
	color:gray;
	font-size:14px;
	margin-left:2px;
	float:left;
}
.righti{
	cursor:pointer;
	color:gray;
	font-size:14px;
	margin-left:10px;
	float:right;
}
.lefti:hover, .righti:hover{
	font-size:18px;
}
td{
	padding:7px 2px !important;
}
.fullModal {
	display: none;
	position: fixed;
	left: 0%;
	right: 0%;
	top: 0%;
	width: calc(100vw - 20px);
	height: 100vh;
	overflow-y: auto;
	padding: 10px;
	background-color: var(--bg);
	z-index: 10001;
}

.modalrtl {
	z-index: 10001;
}

@media only screen and (max-width:600px) {
	.fullModal {
		width: 100%;
		height: 100%;
	}
}

.parentz.sele {
	background-color: darkGreen;
	color: black;
}

#resultcolumn {
	min-height: 600px;
}

#columns, #resultcolumn {
	max-height: 80vh;
	overflow-y: auto;
}

#resultcolumn>div:not(.selex), #columns>div:not(.sele) {
	background-color: var(--bg);
	color: var(--text-main);
}

.left {
	float: left;
	font-size: 16px;
}

.green {
	color: darkGreen
}

.red {
	color: red;
}

.disablex {
	font-size: 12px;
	background-color: rgba(160, 160, 160, 0.5);
	color: black;
}

.disablex>i.left {
	display: none;
}

.bottom {
	position: fixed;
	bottom: 0;
	background-color: #999;
	z-index: 555555;
	width: 100%;
	padding-top: 20px;
}

.tablinks {
	font-family: iransansx;
}

.filtered {
	background-color: red;
}

#resize_wrapper {
	position: absolute;
	top: 10em;
}

#spinnerWrapper {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(255, 255, 255, 0.8); /* نیمه‌شفاف */
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 9999;
}

.spinnerContainer {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.spinnerText {
	margin-top: 24px;
	font-size: 18px;
	color: #2196f3ff;
}

.spinner {
	width: 100px;
	height: 100px;
	border: 6px solid #ccc;
	border-top-color: #2196f3;
	border-radius: 50%;
	animation: spin 1s linear infinite;
}

.dot {
	opacity: 0;
	animation: blink 1.5s infinite;
	display: inline-block;
	font-family: monoscope;
}

.dot.one {
	animation-delay: 0s;
	font-size: 36px;
	color: #2196f3ff;
}

.dot.two {
	animation-delay: 0.3s;
	font-size: 36px;
	color: #2196f3ff;
}

.dot.three {
	animation-delay: 0.6s;
	font-size: 36px;
	color: #2196f3ff;
}

.dot.four {
	animation-delay: 0.9s;
	font-size: 36px;
	color: #2196f3ff;
}

.dot.five {
	animation-delay: 1.2s;
	font-size: 36px;
	color: #2196f3ff;
}

@keyframes blink {
	0% ,100% {opacity: 0;}
50%{opacity:1;}
}
.dotAnimation::after {
	content: "";
	animation: dots 1.5s steps(5, end) infinite;
	display: inline-block;
	direction: rtl;
}

@keyframes spin { 
	0% 	 { transform : rotate(0deg);}
	100% { transform : rotate( 360deg ); }
}
.btn-group-3 {
	display: grid;
	grid-template-columns: repeat(3, minmax(0, 1fr));
}

.btnte {
	border: 1px solid gray;
	padding: 10px;
	margin: 10px;
	text-align: center;
	font-size: 14px;
	cursor: pointer;
	direction: rtl;
}

input[number], select {
	width: 100px;
	min-width: 100px;
	max-width: 100px;
}

.grix2080 {
	display: grid;
	grid-template-columns: 25% 75%;
}

.quarter {
	display: grid;
	grid-template-columns: repeat(4, minmax(0, 1fr));
	grid-gap: 5px;
	border: 1px solid;
	margin: 5px;
}

@media only screen and (max-width: 1000px) {
	.quarter {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
	.grix2080 {
		grid-template-columns: 40% 60%;
	}
}

.filtering {
	float: left;
	padding: 5px;
}

.fa-arrow-up:hover {
	background-color: darkGreen;
	color: white;
}

.fa-arrow-down:hover {
	background-color: red;
	color: white;
}

.redx {
	background-color: red;
	color: white;
}

#footer {
	position: absolute;
	display: none;
	bottom: 0;
	width: 100%;
	height: 60px;
}

::placeholder {
	font-size: 14px;
	font-family: iransansx;
	text-align: center;
}

.min::placeholder, .max::placeholder {
	font-size: 8px;
	font-weight: 450;
	text-align: center;
}

.ready {
	position: absolute;
	right: 0;
}

#itemResultParent {
	width: 200px;
	max-height: 800px;
	position: absolute;
	overflow: hidden;
	z-index: 1600;
}

.favorite {
	color: orange;
}

.icon {
	color: var(--text-main);
	margin: 0px 6px;
	font-size: 18px;
	float: left;
	cursor: pointer;
}

.icon:hover {
	font-size: 28px;
	margin: -8px 2px;
}

.removers:hover {
	color: red;
}

.savers:hover {
	color: royalBlue;
}

.editors:hover {
	color: darkGreen;
}

#itemResult {
	overflow: scroll;
}

#mwTable_wrapper>div.dt-layout-row.dt-layout-table>div>div>div.dt-scroll-head>div>table
	{
	border-bottom: none;
}

#mwTable {
	border-top: none;
}

.bid {
	background-color: rgba(0, 222, 222, 0.2);
	min-width: 100px;
}

.wide {
	min-width: 100px;
}

.ask {
	background-color: rgba(222, 122, 0, 0.2);
	min-width: 100px;
}

.btn-group-2 {
	display: grid;
	grid-template-columns: repeat(2, minmax(0, 1fr));
	grid-gap: 5px;
	padding-top: 20px;
}

.log-btn {
	cursor: pointer;
}

input.min, input.max {
	max-width: 40px;
}

#mwTable th {
	color: #fafafa;
	font-weight: normal;
	height: 15px;
}

#mwTable_info, #mwTable_wrapper>div:nth-child(3)>div.dt-layout-cell.dt-layout-start>div
	{
	padding: 5px;
	color: #fafafa;
	background-color: rgb(45,95,158);
	max-width: 360px;
	margin-top: 10px;
	float: left;
}

.mwb {
	padding: 5px;
	min-width: 30px;
}

.mwbx {
	display: inline-block;
	vertical-align: middle;
	padding: 2px 5px;
	min-width: 80px;
	margin: 10px;
	border: 1px solid var(--btn-border);
	cursor: pointer;
}

table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order, table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order,
	table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order, table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order
	{
	right: auto !important;
	left: 3px;
}

table.dataTable thead>tr>th.dt-orderable-asc, table.dataTable thead>tr>th.dt-orderable-desc
	{
	padding-right: 1px;
}

.mwbx i {
	float: left;
}

.mwbx:hover {
	background-color: orange;
}

.save {
	background-color: royalBlue;
	color: white;
	text-align: center;
	cursor: pointer;
	border: none;
}

.save.delete {
	background-color: red;
}

.save:hover {
	background-color: darkGreen;
}

.alert-success {
	color: white;
	background-color: #155724;
}

.alert-danger {
	color: white;
	background-color: rgba(255, 60, 60, 0.95);
}

#top {
	max-width: 200px;
	background-color: rgb(48,95,158);
	color: white;
	cursor: pointer;
	padding: 5px;
	margin: 5px auto;
	bottom: 5px;
	text-align: center;
}

#message {
	position: fixed;
	bottom: 20px;
	left: 20px;
	z-index: 20000;
	display: none;
}

#banner-close {
	cursor: pointer;
	font-weight: bold;
	font-size: 18px;
}

#wltable {
	width: 100%;
	z-index: 14685;
	margin-top: 5px;
}

.parentx, .parentz {
	color: var(--text-main);
}

.parentz {
	font-size: 12px;
}

#resultcolumn>div:hover {
	background-color: orange;
}

.watch {
	border: 1px solid var(--tbl-border-watch);
	color: var(--tbl-border-watch);
	border-collapse: separate;
	margin: 3px;
	padding: 5px;
}

.colL, .colR, .colml, .colmR {
	min-width: 200px;
}

.watchx {
	border: 1px solid var(--tbl-border-watch);
	margin-bottom: 3px;
}

.watch:hover, .watchx:hover {
	background-color: royalblue;
	cursor: pointer;
	color: white;
	transition: 0.1s;
}

table.dataTable>thead>tr>th, table.dataTable>thead>tr>td {
	border: none;
}

.spann {
	border: 1px solid gray;
	padding: 8px;
	margin: 5px;
	border-radius: 3px;
}

.grn {
	background-color: darkGreen;
	color: white;
}

.grnx {
	background-color: var(--tbl-bg-watch);
	color: var(--text-negz);
}

.market>tbody>tr>td:nth-child(1), .market>thead>tr>th:nth-child(1),
	.market>thead>tr>td:nth-child(1) {
	min-width: 180px !important;
 
	border-left: 1px solid var(--tbl-border-watch);
}

th, td {
	white-space: nowrap;
}

div.dataTables_wrapper {
	width: 800px;
	margin: 0 auto;
}

.dtfc-fixed-start {
	z-index: 100;

	
}

#mwTable_filter input {
	height: 30px;
	width: 200px;
}

table.dataTable  th, table.dataTable  td {
	text-align: center !important;
	vertical-align: center !important;
	position: relative;
}

table.dataTable thead th {
	/*  background-color: royalBlue; */
	color: white;
	transition: background-color 0.3s ease, color 0.3s ease;
	white-space: normal !important;
	z-index: 1000 !important;

	/* overflow-wrap: break-word !important;*/
}

#myModal, #wlResult {
	z-index: 100001;
}

table.dataTable thead td, table.dataTable tbody th, table.dataTable tbody td:first-child
	{
	background-color: var(--bg);
}

body>div.dtfh-floatingparent.dtfh-floatingparenthead {
	z-index: 1000 !important;
}

#minparent {
	position: relative;
}

#headersparent>th.symbolx.dt-orderable-asc.dt-orderable-desc.dtfc-fixed-start.dtfc-fixed-right
	{
	z-index: 1002 !important;
}

.topnav {
	margin-bottom: 5px;
}

#mwTable_wrapper>div:nth-child(1)>div.dt-layout-cell.dt-layout-start {
	margin-right: 10px !important;
	margin-left: auto !important;
}

#mwTable_wrapper>div:nth-child(1)>div.dt-layout-cell.dt-layout-end {
	margin-left: 10px !important;
}

@media screen and (min-width:1px) {
	#mwTable_wrapper>div:nth-child(1) {
		margin: 10px 0;
		display: grid;
		grid-template-columns: 40% 60%;
	}
}

.asyncdual {
	display: grid;
	grid-template-columns: 20% 80%;
	padding: 5px 0;
}

.selectorx {
	min-width: 95%;
	padding: 0px;
	text-align: center;
}

.mwfibtn {
	min-width: 150px;
	margin: 10px;
	padding: 5px;
	text-align: center;
}

label {
	margin-top: 10px
}

.min, .max {
	min-width: 50px;
}

.min::placeholder, .max::placeholder {
	font-size: 9px;
	direction: rtl;
	color: black;
}